]> oss.titaniummirror.com Git - tinyos-2.x.git/blobdiff - tools/Bootstrap
Merge devel code into the trunk.
[tinyos-2.x.git] / tools / Bootstrap
diff --git a/tools/Bootstrap b/tools/Bootstrap
new file mode 100755 (executable)
index 0000000..528867b
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+srcdir=src
+
+ACLOCAL="aclocal"
+AUTOMAKE="automake"
+AUTOCONF="autoconf"
+AUTOHEADER="autoheader"
+
+set -x
+(
+    $ACLOCAL
+    $AUTOCONF
+    [ -d config-aux ] || mkdir config-aux
+    $AUTOMAKE -a -c
+)
+
+set -x
+(
+    # If you include this above, errors regarding $(EXEEXT) in 
+    # tinyos/java/env/Makefile.am cause the block to be exited
+    # before running this command below. I was able to address
+    # the $(EXEEXT) errors for windows, but it still died in
+    # redhat 9 so I'm moving this call to below.
+    (cd platforms/mica/uisp; ./bootstrap)
+)
+
+rm -f config.cache $srcdir/config.cache